<?php

function los_woh_generic_text( $options ) {
	?>
	<p>

		<label>

			<?php echo $options[ 'label' ]; ?>

			<input type="text" name="<?php echo $options[ 'field_name' ]; ?>" value="<?php echo $options[ 'value' ]; ?>" class="widefat">

		</label>

	</p>
	<?php
}

function los_woh_generic_checkbox( $options ) {
	?>
	<p>

		<label>

			<input type="checkbox" name="<?php echo $options[ 'field_name' ]; ?>"<?php if ( array_key_exists( 'field_id', $options ) ) {  ?> id="<?php echo $options[ 'field_id' ]; ?>"<?php } ?> value="1"<?php if ( $options[ 'checked' ] ) { ?> checked="checked" <?php } ?>>

			<?php echo $options[ 'label' ]; ?>

		</label>

	</p>
	<?php
}

function los_woh_generic_select( $options ) {
	?>
	<p<?php if ( array_key_exists( 'id', $options ) ) {  ?> id="<?php echo $options[ 'id' ]; ?>"<?php } ?><?php if ( array_key_exists( 'class', $options ) ) {  ?> class="<?php echo $options[ 'class' ]; ?>"<?php } ?><?php if ( array_key_exists( 'hidden', $options ) && $options[ 'hidden' ] ) {  ?> style="display: none;"<?php } ?>>

		<label>

			<?php echo $options[ 'label' ]; ?>

			<select name="<?php echo $options[ 'field_name' ]; ?>"<?php if ( array_key_exists( 'field_id', $options ) ) {  ?> id="<?php echo $options[ 'field_id' ]; ?>"<?php } ?> class="widefat<?php if ( array_key_exists( 'field_class', $options ) ) {  ?> <?php echo $options[ 'field_class' ]; ?><?php } ?>">

				<?php foreach ( $options[ 'options' ] as $value => $label ) { ?>

					<option value="<?php echo $value; ?>"<?php if ( $options[ 'value' ] == $value ) { ?> selected="selected" <?php } ?>><?php echo $label; ?></option>

				<?php } ?>

			</select>

		</label>

	</p>
	<?php
}

function los_woh_division_id( $options ) {
	?>
    <p>

        <label>

			<?php _e( 'Division Id / Permalink', 'hockeydata_los' ); ?>

			(<?php _e( 'Leave empty to use URL Parameter', 'hockeydata_los' ); ?>)

			[<a href="https://apidocs.hockeydata.net/division-finder/" target="_blank"><?php _e( 'Find Division', 'hockeydata_los' ); ?></a>]

            <input type="text" name="<?php echo $options[ 'field_name' ]; ?>" value="<?php echo $options[ 'value' ]; ?>" class="widefat">

        </label>

    </p>
	<?php
}

function los_woh_sport( $field_name, $value, $field_id = null ) {

	los_woh_generic_select(
		array(
			'label' => __( 'Sport', 'hockeydata_los' ),
			'field_name' => $field_name,
			'field_id' => $field_id,
			'value' => $value,
			'options' => array(
                '' => '',
				'americanfootball' => __( 'American Football', 'hockeydata_los' ),
				'icehockey' => __( 'Icehockey', 'hockeydata_los' )
			),
			'hidden' => get_option( 'los_sport' )
		)
	);

}

function los_woh_doc_link( $url ) {

	?><p><a href="<?php echo $url; ?>" target="_blank">&raquo; <?php _e( 'More information about this widget and its options is available on the API documentation website.', 'hockeydata_los' ); ?></a></p><?php

}

function los_woh_page_select($options ) {
    ?>
    <p<?php if ( array_key_exists( 'hidden', $options ) && $options[ 'hidden' ] ) {  ?> style="display: none;"<?php } ?>>

        <label>

            <?php echo $options[ 'label' ]; ?>

            <?php
            wp_dropdown_pages( array(
                'name' => $options[ 'field_name' ],
                'selected' => $options[ 'value' ],
                'show_option_none' => ' ',
                'class' => 'widefat'
            ) );
            ?>

        </label>

    </p>
    <?php
}