<?php

function los_widget( $options, $widget_options ) {

	$option_language = get_option( 'los_language' );
	$script_url = 'https://api.hockeydata.net/js/?';
	$script_url .= $options[ 'widget_name' ];
	$script_url .= '&los_configuration_' . $widget_options[ 'sport' ];

	if ( $option_language ) {

		$script_url .= '&i18n_' . $option_language . '_los';

	}

	ob_start();

	?>

	<script src="<?php echo $script_url; ?>" type="text/javascript"></script>

	<aside class="widget">

		<?php if ( isset( $options[ 'title' ] ) && $options[ 'title' ] ) { ?><h1 class="widget-title"><?php echo $options[ 'title' ]; ?></h1><?php } ?>

		<div data-hd-widget="<?php echo $options[ 'widget_class' ]; ?>" data-hd-widget-options='<?php echo json_encode( $widget_options ); ?>'></div>

	</aside>

	<?php

	return ob_get_clean();

}

function los_widget_game_full_report( $options ) {

	los_convert_widget_options( $options );

	$option_page_player_details = get_option( 'los_page_player_details' );
	$option_page_team_details = get_option( 'los_page_team_details' );

	if ( $option_page_player_details ) {

		$options[ 'playerLink' ] = $option_page_player_details;

	}

	if ( $option_page_team_details ) {

		$options[ 'teamLink' ] = $option_page_team_details;

	}

	$widget_options = los_get_basic_widget_options( $options );

	$widget_options[ 'showGameState' ] = intval( $options[ 'showGameState' ] ) ? true : false;
	$widget_options[ 'showYouTubeLink' ] = intval( $options[ 'showYouTubeLink' ] ) ? true : false;
	$widget_options[ 'tabbedStats' ] = intval( $options[ 'tabbedStats' ] ) ? true : false;

	if ( isset( $options[ 'playerLink' ] ) && $options[ 'playerLink' ] ) {

		$widget_options[ 'playerLink' ] = get_permalink( $options[ 'playerLink' ] ) . '?playerId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'teamLink' ] ) && $options[ 'teamLink' ] ) {

		$widget_options[ 'teamLink' ] = get_permalink( $options[ 'teamLink' ] ) . '?teamId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'additionalColumnsGoals' ] ) && $options[ 'additionalColumnsGoals' ] ) {

		$widget_options[ 'additionalColumnsGoals' ] = $options[ 'additionalColumnsGoals' ];

	}

	if ( isset( $options[ 'gameId' ] ) && $options[ 'gameId' ] ) {

		$widget_options[ 'gameId' ] = $options[ 'gameId' ];

	}

	$options[ 'widget_name' ] = 'los_game_fullreport';
	$options[ 'widget_class' ] = 'hockeydata.los.Game.FullReport';

	return los_widget( $options, $widget_options );

}

function los_widget_game_slider( $options ) {

	los_convert_widget_options( $options );

	$option_page_game_report = get_option( 'los_page_game_report' );

	if ( $option_page_game_report ) {

		$options[ 'gameLink' ] = $option_page_game_report;

	}

	$widget_options = los_get_basic_widget_options( $options );

	$widget_options[ 'gamesPerGroup' ] = $options[ 'gamesPerGroup' ] ? intval( $options[ 'gamesPerGroup' ] ) : 5;
	$widget_options[ 'showDivisionName' ] = intval( $options[ 'showDivisionName' ] ) ? true : false;
	$widget_options[ 'showLiveTime' ] = intval( $options[ 'showLiveTime' ] ) ? true : false;
	$widget_options[ 'showPeriodBar' ] = intval( $options[ 'showPeriodBar' ] ) ? true : false;
	$widget_options[ 'showTeamShortName' ] = intval( $options[ 'showTeamShortName' ] ) ? true : false;

	if ( isset( $options[ 'gameLink' ] ) && $options[ 'gameLink' ] ) {

		$widget_options[ 'gameLink' ] = get_permalink( $options[ 'gameLink' ] ) . '?gameId=%s&divisionId=%s';

	}

	$options[ 'widget_name' ] = 'los_gameslider';
	$options[ 'widget_class' ] = 'hockeydata.los.GameSlider';

	return los_widget( $options, $widget_options );

}

function los_widget_leaders( $options ) {

	los_convert_widget_options( $options );

	$option_page_player_details = get_option( 'los_page_player_details' );

	if ( $option_page_player_details ) {

		$options[ 'rowLink' ] = $option_page_player_details;

	}

	$widget_options = los_get_basic_widget_options( $options );

	$widget_options[ 'showLegend' ] = intval( $options[ 'showLegend' ] ) ? true : false;
	$widget_options[ 'autoShowLegend' ] = intval( $options[ 'autoShowLegend' ] ) ? true : false;
	$widget_options[ 'columnSet' ] = $options[ 'columnSet' ];
	$widget_options[ 'type' ] = $options[ 'type' ];
	$widget_options[ 'showRanking' ] = intval( $options[ 'showRanking' ] ) ? true : false;

	if ( isset( $options[ 'showLegendText' ] ) && $options[ 'showLegendText' ] ) {

		$widget_options[ 'showLegendText' ] = $options[ 'showLegendText' ];

	}

	if ( isset( $options[ 'hideLegendText' ] ) && $options[ 'hideLegendText' ] ) {

		$widget_options[ 'hideLegendText' ] = $options[ 'hideLegendText' ];

	}

	if ( isset( $options[ 'limit' ] ) && $options[ 'limit' ] ) {

		$widget_options[ 'limit' ] = intval( $options[ 'limit' ] );

	}

	if ( isset( $options[ 'offset' ] ) && $options[ 'offset' ] ) {

		$widget_options[ 'offset' ] = intval( $options[ 'offset' ] );

	}

	if ( isset( $options[ 'rowLink' ] ) && $options[ 'rowLink' ] ) {

		$widget_options[ 'rowLink' ] = get_permalink( $options[ 'rowLink' ] ) . '?playerId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'textNoData' ] ) && $options[ 'textNoData' ] ) {

		$widget_options[ 'textNoData' ] = $options[ 'textNoData' ];

	}

	if ( isset( $options[ 'columns' ] ) && $options[ 'columns' ] ) {

		$widget_options[ 'columns' ] = $options[ 'columns' ];

	}

	if ( isset( $options[ 'additionalColumns' ] ) && $options[ 'additionalColumns' ] ) {

		$widget_options[ 'additionalColumns' ] = $options[ 'additionalColumns' ];

	}

	$options[ 'widget_name' ] = 'los_leaders';
	$options[ 'widget_class' ] = 'hockeydata.los.Leaders';

	return los_widget( $options, $widget_options );

}

function los_widget_player_full_page( $options ) {

	los_convert_widget_options( $options );

	$option_page_game_report = get_option( 'los_page_game_report' );
	$option_page_team_details = get_option( 'los_page_team_details' );

	if ( $option_page_game_report ) {

		$options[ 'gameLink' ] = $option_page_game_report;

	}

	if ( $option_page_team_details ) {

		$options[ 'teamLink' ] = $option_page_team_details;

	}

	$widget_options = los_get_basic_widget_options( $options );

	if ( isset( $options[ 'gameLink' ] ) && $options[ 'gameLink' ] ) {

		$widget_options[ 'gameLink' ] = get_permalink( $options[ 'gameLink' ] ) . '?gameId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'teamLink' ] ) && $options[ 'teamLink' ] ) {

		$widget_options[ 'teamLink' ] = get_permalink( $options[ 'teamLink' ] ) . '?teamId=%s&divisionId=%s';

	}

    if ( isset( $options[ 'additionalColumnsFieldPlayerGames' ] ) && $options[ 'additionalColumnsFieldPlayerGames' ] ) {

        $widget_options[ 'additionalColumnsFieldPlayerGames' ] = $options[ 'additionalColumnsFieldPlayerGames' ];

    }

    if ( isset( $options[ 'additionalColumnsGoalKeeperGames' ] ) && $options[ 'additionalColumnsGoalKeeperGames' ] ) {

        $widget_options[ 'additionalColumnsGoalKeeperGames' ] = $options[ 'additionalColumnsGoalKeeperGames' ];

    }

	$options[ 'widget_name' ] = 'los_player_fullpage';
	$options[ 'widget_class' ] = 'hockeydata.los.Player.FullPage';

	return los_widget( $options, $widget_options );

}

function los_widget_schedule( $options ) {

	los_convert_widget_options( $options );

	$option_page_game_report = get_option( 'los_page_game_report' );

	if ( $option_page_game_report ) {

		$options[ 'rowLink' ] = $option_page_game_report;

	}

	$widget_options = los_get_basic_widget_options( $options );

	$widget_options[ 'showLegend' ] = intval( $options[ 'showLegend' ] ) ? true : false;
	$widget_options[ 'autoShowLegend' ] = intval( $options[ 'autoShowLegend' ] ) ? true : false;
	$widget_options[ 'columnSet' ] = $options[ 'columnSet' ];

	if ( isset( $options[ 'futureOnly' ] ) && $options[ 'futureOnly' ] ) {

		$widget_options[ 'futureOnly' ] = true;

	}

	if ( isset( $options[ 'showLegendText' ] ) && $options[ 'showLegendText' ] ) {

		$widget_options[ 'showLegendText' ] = $options[ 'showLegendText' ];

	}

	if ( isset( $options[ 'hideLegendText' ] ) && $options[ 'hideLegendText' ] ) {

		$widget_options[ 'hideLegendText' ] = $options[ 'hideLegendText' ];

	}

	if ( isset( $options[ 'limit' ] ) && $options[ 'limit' ] ) {

		$widget_options[ 'limit' ] = intval( $options[ 'limit' ] );

	}

	if ( isset( $options[ 'rowLink' ] ) && $options[ 'rowLink' ] ) {

		$widget_options[ 'rowLink' ] = get_permalink( $options[ 'rowLink' ] ) . '?gameId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'textNoData' ] ) && $options[ 'textNoData' ] ) {

		$widget_options[ 'textNoData' ] = $options[ 'textNoData' ];

	}

	if ( isset( $options[ 'columns' ] ) && $options[ 'columns' ] ) {

		$widget_options[ 'columns' ] = $options[ 'columns' ];

	}

	if ( isset( $options[ 'additionalColumns' ] ) && $options[ 'additionalColumns' ] ) {

		$widget_options[ 'additionalColumns' ] = $options[ 'additionalColumns' ];

	}

	if ( isset( $options[ 'maxDate' ] ) && $options[ 'maxDate' ] ) {

		$widget_options[ 'maxDate' ] = $options[ 'maxDate' ];

	}

	if ( isset( $options[ 'minDate' ] ) && $options[ 'minDate' ] ) {

		$widget_options[ 'minDate' ] = $options[ 'minDate' ];

	}

	if ( isset( $options[ 'teamId' ] ) && $options[ 'teamId' ] ) {

		$widget_options[ 'teamId' ] = $options[ 'teamId' ];

	}

	$options[ 'widget_name' ] = 'los_schedule';
	$options[ 'widget_class' ] = 'hockeydata.los.Schedule';

	return los_widget( $options, $widget_options );

}

function los_widget_standings( $options ) {

	los_convert_widget_options( $options );

	$option_page_team_details = get_option( 'los_page_team_details' );

	if ( $option_page_team_details ) {

		$options[ 'rowLink' ] = $option_page_team_details;

	}

	$widget_options = los_get_basic_widget_options( $options );

	$widget_options[ 'showLegend' ] = intval( $options[ 'showLegend' ] ) ? true : false;
	$widget_options[ 'autoShowLegend' ] = intval( $options[ 'autoShowLegend' ] ) ? true : false;
	$widget_options[ 'columnSet' ] = $options[ 'columnSet' ];
	$widget_options[ 'showOfficialStatusText' ] = intval( $options[ 'showOfficialStatusText' ] ) ? true : false;

	if ( isset( $options[ 'showLegendText' ] ) && $options[ 'showLegendText' ] ) {

		$widget_options[ 'showLegendText' ] = $options[ 'showLegendText' ];

	}

	if ( isset( $options[ 'hideLegendText' ] ) && $options[ 'hideLegendText' ] ) {

		$widget_options[ 'hideLegendText' ] = $options[ 'hideLegendText' ];

	}

	if ( isset( $options[ 'rowLink' ] ) && $options[ 'rowLink' ] ) {

		$widget_options[ 'rowLink' ] = get_permalink( $options[ 'rowLink' ] ) . '?teamId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'textNoData' ] ) && $options[ 'textNoData' ] ) {

		$widget_options[ 'textNoData' ] = $options[ 'textNoData' ];

	}

	if ( isset( $options[ 'columns' ] ) && $options[ 'columns' ] ) {

		$widget_options[ 'columns' ] = $options[ 'columns' ];

	}

	if ( isset( $options[ 'additionalColumns' ] ) && $options[ 'additionalColumns' ] ) {

		$widget_options[ 'additionalColumns' ] = $options[ 'additionalColumns' ];

	}

	if ( isset( $options[ 'textOfficial' ] ) && $options[ 'textOfficial' ] ) {

		$widget_options[ 'textOfficial' ] = $options[ 'textOfficial' ];

	}

	if ( isset( $options[ 'textUnofficial' ] ) && $options[ 'textUnofficial' ] ) {

		$widget_options[ 'textUnofficial' ] = $options[ 'textUnofficial' ];

	}

	$options[ 'widget_name' ] = 'los_standings';
	$options[ 'widget_class' ] = 'hockeydata.los.Standings';

	return los_widget( $options, $widget_options );

}

function los_widget_team_full_page( $options ) {

	los_convert_widget_options( $options );

	$option_page_game_report = get_option( 'los_page_game_report' );
	$option_page_player_details = get_option( 'los_page_player_details' );

	if ( $option_page_game_report ) {

		$options[ 'gameLink' ] = $option_page_game_report;

	}

	if ( $option_page_player_details ) {

		$options[ 'playerLink' ] = $option_page_player_details;

	}

	$widget_options = los_get_basic_widget_options( $options );

	if ( isset( $options[ 'showTeamFacts' ] ) && $options[ 'showTeamFacts' ] ) {

		$widget_options[ 'showTeamFacts' ] = intval( $options[ 'showTeamFacts' ] ) ? true : false;

	}

	if ( isset( $options[ 'gameLink' ] ) && $options[ 'gameLink' ] ) {

		$widget_options[ 'gameLink' ] = get_permalink( $options[ 'gameLink' ] ) . '?gameId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'playerLink' ] ) && $options[ 'playerLink' ] ) {

		$widget_options[ 'playerLink' ] = get_permalink( $options[ 'playerLink' ] ) . '?playerId=%s&divisionId=%s';

	}

    if ( isset( $options[ 'additionalColumnsGames' ] ) && $options[ 'additionalColumnsGames' ] ) {

        $widget_options[ 'additionalColumnsGames' ] = $options[ 'additionalColumnsGames' ];

    }

	$options[ 'widget_name' ] = 'los_team_fullpage';
	$options[ 'widget_class' ] = 'hockeydata.los.Team.FullPage';

	return los_widget( $options, $widget_options );

}

function los_widget_team_stats( $options ) {

	los_convert_widget_options( $options );

	$defense_identifiers = array( 'PassingDefense' => 'Passing', 'RushingDefense' => 'Rushing', 'ScoringDefense' => 'Scoring', 'TotalDefense' => 'TotalOffense' );
	$option_page_team_details = get_option( 'los_page_team_details' );

	if ( $option_page_team_details ) {

		$options[ 'rowLink' ] = $option_page_team_details;

	}

	$widget_options = los_get_basic_widget_options( $options );

	$widget_options[ 'showLegend' ] = intval( $options[ 'showLegend' ] ) ? true : false;
    $widget_options[ 'autoShowLegend' ] = intval( $options[ 'autoShowLegend' ] ) ? true : false;
    $widget_options[ 'columnSet' ] = $options[ 'columnSet' ];
    $widget_options[ 'type' ] = $options[ 'type' ];
    $widget_options[ 'showRanking' ] = intval( $options[ 'showRanking' ] ) ? true : false;

	if ( isset( $options[ 'showLegendText' ] ) && $options[ 'showLegendText' ] ) {

		$widget_options[ 'showLegendText' ] = $options[ 'showLegendText' ];

	}

	if ( isset( $options[ 'hideLegendText' ] ) && $options[ 'hideLegendText' ] ) {

		$widget_options[ 'hideLegendText' ] = $options[ 'hideLegendText' ];

	}

	if ( isset( $options[ 'rowLink' ] ) && $options[ 'rowLink' ] ) {

		$widget_options[ 'rowLink' ] = get_permalink( $options[ 'rowLink' ] ) . '?teamId=%s&divisionId=%s';

	}

	if ( isset( $options[ 'textNoData' ] ) && $options[ 'textNoData' ] ) {

		$widget_options[ 'textNoData' ] = $options[ 'textNoData' ];

	}

	if ( isset( $options[ 'columns' ] ) && $options[ 'columns' ] ) {

		$widget_options[ 'columns' ] = $options[ 'columns' ];

	}

	if ( array_key_exists( $widget_options[ 'type' ], $defense_identifiers ) ) {

		$widget_options[ 'type' ] = $defense_identifiers[ $widget_options[ 'type' ] ];
		$widget_options[ 'requestData' ] = array( 'widgetOptions' => array( 'offense' => 'false' ) );

	}

	$options[ 'widget_name' ] = 'los_teamstats';
	$options[ 'widget_class' ] = 'hockeydata.los.TeamStats';

	return los_widget( $options, $widget_options );

}