<?php

$active_tab = ( isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : 'general' );

?>
<div class="wrap">

    <h2 class="nav-tab-wrapper">

        <a href="?page=hockeydata_los_settings&tab=general" class="nav-tab <?php if ( 'general' == $active_tab ) { echo 'nav-tab-active'; } ?>"><?php _e( 'General', 'hockeydata_los' ); ?></a>
        <a href="?page=hockeydata_los_settings&tab=styling" class="nav-tab <?php if ( 'styling' == $active_tab ) { echo 'nav-tab-active'; } ?>"><?php _e( 'Styling', 'hockeydata_los' ); ?></a>

    </h2>

	<form method="post" action="options.php">

        <?php

        if ( 'general' == $active_tab ) {

            settings_fields( 'los_general_options' );
	        do_settings_sections( 'los_general_options' );

	        $los_option_sport = get_option( 'los_sport' );
	        $los_option_language = get_option( 'los_language' );

	        ?>

            <table class="form-table">

                <tr>

                    <th scope="row"><label for="los_api_key"><?php _e( 'API Key', 'hockeydata_los' ); ?></label></th>

                    <td>

                        <input type="text" name="los_api_key" id="los_api_key" value="<?php echo esc_attr( get_option( 'los_api_key' ) ); ?>" class="regular-text" onchange="losCheckApiKey();">

                        <span id="hd-los-api-key-checking"><?php _e( 'Checking...', 'hockeydata_los' ); ?></span>

                        <span id="hd-los-api-key-ok" class="hd-los-ok"><?php _e( '[OK]', 'hockeydata_los' ); ?></span>

                        <span id="hd-los-api-key-nok" class="hd-los-nok"><?php _e( '[INVALID]', 'hockeydata_los' ); ?></span>

                    </td>

                </tr>

                <tr>

                    <th scope="row"><label for="los_sport"><?php _e( 'Sport', 'hockeydata_los' ); ?></label></th>

                    <td>

                        <select name="los_sport" id="los_sport" class="regular-text">

                            <option value=""<?php if ( ! $los_option_sport ) { ?> selected="selected"<?php } ?>></option>

                            <option value="americanfootball"<?php if ( 'americanfootball' == $los_option_sport  ) { ?> selected="selected"<?php } ?>><?php _e( 'American Football', 'hockeydata_los' ); ?></option>

                            <option value="icehockey"<?php if ( 'icehockey' == $los_option_sport ) { ?> selected="selected"<?php } ?>><?php _e( 'Icehockey', 'hockeydata_los' ); ?></option>

                        </select>

						<p class="description"><?php _e( 'Leave empty to select sport for each widget individually.', 'hockeydata_los' ); ?></p>

                    </td>

                </tr>

				<tr>

					<th scope="row"><label for="los_language"><?php _e( 'Widget Language', 'hockeydata_los' ); ?></label></th>

					<td>

						<select name="los_language" id="los_language" class="regular-text">

							<option value=""<?php if ( ! $los_option_language ) { ?> selected="selected"<?php } ?>><?php _e( 'English', 'hockeydata_los' ); ?></option>

							<option value="de"<?php if ( 'de' == $los_option_language ) { ?> selected="selected"<?php } ?>><?php _e( 'German', 'hockeydata_los' ); ?></option>

						</select>

					</td>

				</tr>

                <tr>

                    <th scope="row"><label for="los_page_game_report"><?php _e( 'Game Report Page', 'hockeydata_los' ); ?></label></th>

                    <td>

			            <?php

			            wp_dropdown_pages( array(
				            'name' => 'los_page_game_report',
				            'id' => 'los_page_game_report',
				            'selected' => get_option( 'los_page_game_report' ),
				            'show_option_none' => ' ',
				            'option_none_value' => '',
				            'class' => 'regular-text'
			            ) );
			            ?>

						<p class="description"><?php _e( 'Leave empty to select page for each widget individually.', 'hockeydata_los' ); ?></p>

                    </td>

                </tr>

                <tr>

                    <th scope="row"><label for="los_page_player_details"><?php _e( 'Player Details Page', 'hockeydata_los' ); ?></label></th>

                    <td>

			            <?php

			            wp_dropdown_pages( array(
				            'name' => 'los_page_player_details',
				            'id' => 'los_page_player_details',
				            'selected' => get_option( 'los_page_player_details' ),
				            'show_option_none' => ' ',
				            'option_none_value' => '',
				            'class' => 'regular-text'
			            ) );

			            ?>

						<p class="description"><?php _e( 'Leave empty to select page for each widget individually.', 'hockeydata_los' ); ?></p>

                    </td>

                </tr>

                <tr>

                    <th scope="row"><label for="los_page_team_details"><?php _e( 'Team Details Page', 'hockeydata_los' ); ?></label></th>

                    <td>

			            <?php

			            wp_dropdown_pages( array(
				            'name' => 'los_page_team_details',
				            'id' => 'los_page_team_details',
				            'selected' => get_option( 'los_page_team_details' ),
				            'show_option_none' => ' ',
				            'option_none_value' => '',
				            'class' => 'regular-text'
			            ) );

			            ?>

						<p class="description"><?php _e( 'Leave empty to select page for each widget individually.', 'hockeydata_los' ); ?></p>

                    </td>

                </tr>

            </table>

            <script>

                jQuery( function() {

                    losCheckApiKey();

                } );

            </script>

            <?php

        } else if ( 'styling' == $active_tab ) {

	        settings_fields( 'los_styling_options' );
	        do_settings_sections( 'los_styling_options' );

            $los_option_template = get_option( 'los_template' );
            $css_colors = array(
	            __( 'Background of Table Headers and Panels; different Borders', 'hockeydata_los' ),
	            __( 'Font of Table Headers and Panels', 'hockeydata_los' ),
	            __( 'Background and Borders of different Headers', 'hockeydata_los' ),
	            __( 'Different Borders and Backgrounds', 'hockeydata_los' ),
	            __( 'Alternating Backgrounds', 'hockeydata_los' ),
	            __( 'Alternating Backgrounds, Borders', 'hockeydata_los' ),
	            __( 'Fonts', 'hockeydata_los' ),
	            __( 'Button Backgrounds and Borders', 'hockeydata_los' ),
	            __( 'Minor Background Color', 'hockeydata_los' ),
	            __( 'Minor Font Color', 'hockeydata_los' )
			);

            ?>

            <table class="form-table">

                <tr>

                    <th scope="row"><label for="los_template"><?php _e( 'Template', 'hockeydata_los' ); ?></label></th>

                    <td>

                        <select name="los_template" id="los_template" class="regular-text">

                            <option value=""<?php if ( ! $los_option_template ) { ?> selected="selected"<?php } ?>><?php _e( '[None]', 'hockeydata_los' ); ?></option>

                            <option value="default"<?php if ( 'default' == $los_option_template ) { ?> selected="selected"<?php } ?>><?php _e( 'Default', 'hockeydata_los' ); ?></option>

                            <option value="dark"<?php if ( 'dark' == $los_option_template ) { ?> selected="selected"<?php } ?>><?php _e( 'Dark', 'hockeydata_los' ); ?></option>

                            <option value="glass"<?php if ( 'glass' == $los_option_template ) { ?> selected="selected"<?php } ?>><?php _e( 'Glass', 'hockeydata_los' ); ?></option>

                        </select>

                    </td>

                </tr>

				<?php for ( $i = 0; $i < count( $css_colors); $i++ ) { ?>

					<tr>

						<th scope="row"><label for="los_css_color_<?php echo $i; ?>"><?php _e( 'Color', 'hockeydata_los' ); ?> #<?php echo $i + 1; ?></label></th>

						<td>

							<input type="text" name="los_css_color_<?php echo $i; ?>" id="los_css_color_<?php echo $i; ?>" value="<?php echo get_option( 'los_css_color_' . $i ); ?>" class="los-color-picker">

							<p class="description"><?php echo $css_colors[ $i ]; ?></p>

						</td>

					</tr>

				<?php } ?>

            </table>

        <?php } ?>

        <?php submit_button(); ?>

	</form>

</div><script>

    jQuery( function() {

        losInitAdminSettings();

    } );

</script>