<?php

class LOS_Widget_GameFullReport extends WP_Widget {

	function __construct() {

		parent::__construct( 'los_widget_game_full_report', __('hockeydata LOS: Game Report', 'hockeydata_los'), array( 'description' => __( 'hockeydata LOS: Game Report', 'hockeydata_los' ) ) );

	}

	public function widget( $args, $instance ) {

	    echo los_widget_game_full_report( $instance );

	}

	public function form( $instance ) {

		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : '';
		$sport = isset( $instance[ 'sport' ] ) ? $instance[ 'sport' ] : '';
		$divisionId = isset( $instance[ 'divisionId' ] ) ? $instance[ 'divisionId' ] : '';
		$autoReload = isset( $instance[ 'autoReload' ] ) ? intval( $instance[ 'autoReload' ] ) : 0;
		$showGameState = isset( $instance[ 'showGameState' ] ) ? intval( $instance[ 'showGameState' ] ) : 0;
		$showYouTubeLink = isset( $instance[ 'showYouTubeLink' ] ) ? intval( $instance[ 'showYouTubeLink' ] ) : 0;
		$tabbedStats = isset( $instance[ 'tabbedStats' ] ) ? intval( $instance[ 'tabbedStats' ] ) : 0;
        $playerLink = isset( $instance[ 'playerLink' ] ) ? $instance[ 'playerLink' ] : '';
        $teamLink = isset( $instance[ 'teamLink' ] ) ? $instance[ 'teamLink' ] : '';
		$additionalColumnsGoals = isset( $instance[ 'additionalColumnsGoals' ] ) ? $instance[ 'additionalColumnsGoals' ] : '';

		?>

		<?php los_woh_generic_text( array( 'label' => __( 'Title', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'title' ), 'value' => $title ) ); ?>

		<?php los_woh_sport( $this->get_field_name( 'sport' ), $sport ); ?>

		<?php los_woh_division_id( array( 'field_name' => $this->get_field_name( 'divisionId' ), 'value' => $divisionId ) ); ?>

		<p><a href="#" id="hockeydata_los_widget_game_full_report_<?php echo $this->id; ?>_additionalOptionsToggle"><?php _e( 'Additional Options', 'hockeydata_los' ); ?></a></p>

		<div id="hockeydata_los_widget_game_full_report_<?php echo $this->id; ?>_additionalOptions" style="display: none;">

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Auto Reload', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoReload' ), 'checked' => $autoReload ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Game State', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showGameState' ), 'checked' => $showGameState ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show YouTube Link (when available)', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showYouTubeLink' ), 'checked' => $showYouTubeLink ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Display Game Stats in Tabs', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'tabbedStats' ), 'checked' => $tabbedStats ) ); ?>

			<?php los_woh_page_select( array( 'label' => __( 'Player Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'playerLink' ), 'value' => $playerLink, 'hidden' => get_option( 'los_page_player_details' ) ) ); ?>

            <?php los_woh_page_select( array( 'label' => __( 'Team Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'teamLink' ), 'value' => $teamLink, 'hidden' => get_option( 'los_page_team_details' ) ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Additional Columns Goals', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'additionalColumnsGoals' ), 'value' => $additionalColumnsGoals ) ); ?>

            <?php los_woh_doc_link( 'https://apidocs.hockeydata.net/javascript-api/hockeydata-los-game-fullreport/' ); ?>

		</div>

		<script>

			losWidgetFormGameFullReport( '<?php echo $this->id; ?>' );

		</script>

		<?php
	}

	public function update( $new_instance, $old_instance ) {

		$instance = array();

		$instance[ 'title' ] = ( isset( $new_instance[ 'title' ] ) ) ? strip_tags( $new_instance[ 'title' ] ) : '';
		$instance[ 'sport' ] = ( isset( $new_instance[ 'sport' ] ) ) ? strip_tags( $new_instance[ 'sport' ] ) : '';
		$instance[ 'divisionId' ] = ( isset( $new_instance[ 'divisionId' ] ) ) ? strip_tags( $new_instance[ 'divisionId' ] ) : '';
		$instance[ 'autoReload' ] = ( isset( $new_instance[ 'autoReload' ] ) ) ? intval( $new_instance[ 'autoReload' ] ) : 0;
		$instance[ 'showGameState' ] = ( isset( $new_instance[ 'showGameState' ] ) ) ? intval( $new_instance[ 'showGameState' ] ) : 0;
		$instance[ 'showYouTubeLink' ] = ( isset( $new_instance[ 'showYouTubeLink' ] ) ) ? intval( $new_instance[ 'showYouTubeLink' ] ) : 0;
		$instance[ 'tabbedStats' ] = ( isset( $new_instance[ 'tabbedStats' ] ) ) ? intval( $new_instance[ 'tabbedStats' ] ) : 0;
        $instance[ 'playerLink' ] = ( isset( $new_instance[ 'playerLink' ] ) ) ? strip_tags( $new_instance[ 'playerLink' ] ) : '';
        $instance[ 'teamLink' ] = ( isset( $new_instance[ 'teamLink' ] ) ) ? strip_tags( $new_instance[ 'teamLink' ] ) : '';
		$instance[ 'additionalColumnsGoals' ] = ( isset( $new_instance[ 'additionalColumnsGoals' ] ) ) ? strip_tags( $new_instance[ 'additionalColumnsGoals' ] ) : '';

		return $instance;

	}
}