<?php

class LOS_Widget_GameSlider extends WP_Widget {

	function __construct() {

		parent::__construct( 'los_widget_game_slider', __('hockeydata LOS: Game Slider', 'hockeydata_los'), array( 'description' => __( 'hockeydata LOS: Game Slider', 'hockeydata_los' ) ) );

	}

	public function widget( $args, $instance ) {

	    echo los_widget_game_slider( $instance );

	}

	public function form( $instance ) {

		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : '';
		$sport = isset( $instance[ 'sport' ] ) ? $instance[ 'sport' ] : '';
		$divisionId = isset( $instance[ 'divisionId' ] ) ? $instance[ 'divisionId' ] : '';
		$autoReload = isset( $instance[ 'autoReload' ] ) ? intval( $instance[ 'autoReload' ] ) : 0;
		$gameLink = isset( $instance[ 'gameLink' ] ) ? $instance[ 'gameLink' ] : '';
		$gamesPerGroup = isset( $instance[ 'gamesPerGroup' ] ) ? intval( $instance[ 'gamesPerGroup' ] ) : '5';
		$showDivisionName = isset( $instance[ 'showDivisionName' ] ) ? intval( $instance[ 'showDivisionName' ] ) : 0;
		$showLiveTime = isset( $instance[ 'showLiveTime' ] ) ? intval( $instance[ 'showLiveTime' ] ) : 0;
		$showPeriodBar = isset( $instance[ 'showPeriodBar' ] ) ? intval( $instance[ 'showPeriodBar' ] ) : 0;
		$showTeamShortName = isset( $instance[ 'showTeamShortName' ] ) ? intval( $instance[ 'showTeamShortName' ] ) : 0;

		?>

		<?php los_woh_generic_text( array( 'label' => __( 'Title', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'title' ), 'value' => $title ) ); ?>

		<?php los_woh_sport( $this->get_field_name( 'sport' ), $sport ); ?>

		<?php los_woh_division_id( array( 'field_name' => $this->get_field_name( 'divisionId' ), 'value' => $divisionId ) ); ?>

		<?php los_woh_generic_text( array( 'label' => __( 'Games per Group', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'gamesPerGroup' ), 'value' => $gamesPerGroup ) ); ?>

		<p><a href="#" id="hockeydata_los_widget_game_slider_<?php echo $this->id; ?>_additionalOptionsToggle"><?php _e( 'Additional Options', 'hockeydata_los' ); ?></a></p>

		<div id="hockeydata_los_widget_game_slider_<?php echo $this->id; ?>_additionalOptions" style="display: none;">

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Division Name', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showDivisionName' ), 'checked' => $showDivisionName ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Live Time', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showLiveTime' ), 'checked' => $showLiveTime ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Period Bar', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showPeriodBar' ), 'checked' => $showPeriodBar ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Team Short Name', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showTeamShortName' ), 'checked' => $showTeamShortName ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Auto Reload', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoReload' ), 'checked' => $autoReload ) ); ?>

			<?php los_woh_page_select( array( 'label' => __( 'Game Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'gameLink' ), 'value' => $gameLink, 'hidden' => get_option( 'los_page_game_report' ) ) ); ?>

			<?php los_woh_doc_link( 'https://apidocs.hockeydata.net/javascript-api/hockeydata-los-gameslider/' ); ?>

		</div>

		<script>

			losWidgetFormGameSlider( '<?php echo $this->id; ?>' );

		</script>

		<?php
	}

	public function update( $new_instance, $old_instance ) {

		$instance = array();

		$instance[ 'title' ] = ( isset( $new_instance[ 'title' ] ) ) ? strip_tags( $new_instance[ 'title' ] ) : '';
		$instance[ 'sport' ] = ( isset( $new_instance[ 'sport' ] ) ) ? strip_tags( $new_instance[ 'sport' ] ) : '';
		$instance[ 'divisionId' ] = ( isset( $new_instance[ 'divisionId' ] ) ) ? strip_tags( $new_instance[ 'divisionId' ] ) : '';
		$instance[ 'autoReload' ] = ( isset( $new_instance[ 'autoReload' ] ) ) ? intval( $new_instance[ 'autoReload' ] ) : 0;
		$instance[ 'gameLink' ] = ( isset( $new_instance[ 'gameLink' ] ) ) ? strip_tags( $new_instance[ 'gameLink' ] ) : '';
		$instance[ 'gamesPerGroup' ] = ( isset( $new_instance[ 'gamesPerGroup' ] ) ) ? intval( $new_instance[ 'gamesPerGroup' ] ) : 5;
		$instance[ 'showDivisionName' ] = ( isset( $new_instance[ 'showDivisionName' ] ) ) ? intval( $new_instance[ 'showDivisionName' ] ) : 0;
		$instance[ 'showLiveTime' ] = ( isset( $new_instance[ 'showLiveTime' ] ) ) ? intval( $new_instance[ 'showLiveTime' ] ) : 0;
		$instance[ 'showPeriodBar' ] = ( isset( $new_instance[ 'showPeriodBar' ] ) ) ? intval( $new_instance[ 'showPeriodBar' ] ) : 0;
		$instance[ 'showTeamShortName' ] = ( isset( $new_instance[ 'showTeamShortName' ] ) ) ? intval( $new_instance[ 'showTeamShortName' ] ) : 0;

		return $instance;

	}
}