<?php

class LOS_Widget_PlayerFullPage extends WP_Widget {

	function __construct() {

		parent::__construct( 'los_widget_player_full_page', __('hockeydata LOS: Player Page', 'hockeydata_los'), array( 'description' => __( 'hockeydata LOS: Player Page', 'hockeydata_los' ) ) );

	}

	public function widget( $args, $instance ) {

		echo los_widget_player_full_page( $instance );

	}

	public function form( $instance ) {

		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : '';
		$sport = isset( $instance[ 'sport' ] ) ? $instance[ 'sport' ] : '';
		$divisionId = isset( $instance[ 'divisionId' ] ) ? $instance[ 'divisionId' ] : '';
		$autoReload = isset( $instance[ 'autoReload' ] ) ? intval( $instance[ 'autoReload' ] ) : 0;
        $gameLink = isset( $instance[ 'gameLink' ] ) ? $instance[ 'gameLink' ] : '';
        $teamLink = isset( $instance[ 'teamLink' ] ) ? $instance[ 'teamLink' ] : '';
        $additionalColumnsFieldPlayerGames = isset( $instance[ 'additionalColumnsFieldPlayerGames' ] ) ? $instance[ 'additionalColumnsFieldPlayerGames' ] : '';
        $additionalColumnsGoalKeeperGames = isset( $instance[ 'additionalColumnsGoalKeeperGames' ] ) ? $instance[ 'additionalColumnsGoalKeeperGames' ] : '';

		?>

		<?php los_woh_generic_text( array( 'label' => __( 'Title', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'title' ), 'value' => $title ) ); ?>

		<?php los_woh_sport( $this->get_field_name( 'sport' ), $sport ); ?>

		<?php los_woh_division_id( array( 'field_name' => $this->get_field_name( 'divisionId' ), 'value' => $divisionId ) ); ?>

		<p><a href="#" id="hockeydata_los_widget_player_full_page_<?php echo $this->id; ?>_additionalOptionsToggle"><?php _e( 'Additional Options', 'hockeydata_los' ); ?></a></p>

		<div id="hockeydata_los_widget_player_full_page_<?php echo $this->id; ?>_additionalOptions" style="display: none;">

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Auto Reload', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoReload' ), 'checked' => $autoReload ) ); ?>

			<?php los_woh_page_select( array( 'label' => __( 'Game Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'gameLink' ), 'value' => $gameLink, 'hidden' => get_option( 'los_page_game_report' ) ) ); ?>

            <?php los_woh_page_select( array( 'label' => __( 'Team Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'teamLink' ), 'value' => $teamLink, 'hidden' => get_option( 'los_page_team_details' ) ) ); ?>

            <?php los_woh_generic_text( array( 'label' => __( 'Additional Columns Field Player Games', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'additionalColumnsFieldPlayerGames' ), 'value' => $additionalColumnsFieldPlayerGames ) ); ?>

            <?php los_woh_generic_text( array( 'label' => __( 'Additional Columns Goal Keeper Games', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'additionalColumnsGoalKeeperGames' ), 'value' => $additionalColumnsGoalKeeperGames ) ); ?>

            <?php los_woh_doc_link( 'https://apidocs.hockeydata.net/javascript-api/hockeydata-los-player-fullpage/' ); ?>

		</div>

		<script>

			losWidgetFormPlayerFullPage( '<?php echo $this->id; ?>' );

		</script>

		<?php
	}

	public function update( $new_instance, $old_instance ) {

		$instance = array();

		$instance[ 'title' ] = ( isset( $new_instance[ 'title' ] ) ) ? strip_tags( $new_instance[ 'title' ] ) : '';
		$instance[ 'sport' ] = ( isset( $new_instance[ 'sport' ] ) ) ? strip_tags( $new_instance[ 'sport' ] ) : '';
		$instance[ 'divisionId' ] = ( isset( $new_instance[ 'divisionId' ] ) ) ? strip_tags( $new_instance[ 'divisionId' ] ) : '';
		$instance[ 'autoReload' ] = ( isset( $new_instance[ 'autoReload' ] ) ) ? intval( $new_instance[ 'autoReload' ] ) : 0;
        $instance[ 'gameLink' ] = ( isset( $new_instance[ 'gameLink' ] ) ) ? strip_tags( $new_instance[ 'gameLink' ] ) : '';
        $instance[ 'teamLink' ] = ( isset( $new_instance[ 'teamLink' ] ) ) ? strip_tags( $new_instance[ 'teamLink' ] ) : '';
        $instance[ 'additionalColumnsFieldPlayerGames' ] = ( isset( $new_instance[ 'additionalColumnsFieldPlayerGames' ] ) ) ? strip_tags( $new_instance[ 'additionalColumnsFieldPlayerGames' ] ) : '';
        $instance[ 'additionalColumnsGoalKeeperGames' ] = ( isset( $new_instance[ 'additionalColumnsGoalKeeperGames' ] ) ) ? strip_tags( $new_instance[ 'additionalColumnsGoalKeeperGames' ] ) : '';

		return $instance;

	}
}