<?php

class LOS_Widget_Schedule extends WP_Widget {

	function __construct() {

		parent::__construct( 'los_widget_schedule', __('hockeydata LOS: Schedule', 'hockeydata_los'), array( 'description' => __( 'hockeydata LOS: Schedule', 'hockeydata_los' ) ) );

	}

	public function widget( $args, $instance ) {

		echo los_widget_schedule( $instance );

	}

	public function form( $instance ) {

		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : '';
		$sport = isset( $instance[ 'sport' ] ) ? $instance[ 'sport' ] : '';
		$divisionId = isset( $instance[ 'divisionId' ] ) ? $instance[ 'divisionId' ] : '';
		$autoReload = isset( $instance[ 'autoReload' ] ) ? intval( $instance[ 'autoReload' ] ) : 0;
		$futureOnly = isset( $instance[ 'futureOnly' ] ) ? intval( $instance[ 'futureOnly' ] ) : 0;
		$showLegend = isset( $instance[ 'showLegend' ] ) ? intval( $instance[ 'showLegend' ] ) : 0;
		$autoShowLegend = isset( $instance[ 'autoShowLegend' ] ) ? intval( $instance[ 'autoShowLegend' ] ) : 0;
		$showLegendText = isset( $instance[ 'showLegendText' ] ) ? $instance[ 'showLegendText' ] : '';
		$hideLegendText = isset( $instance[ 'hideLegendText' ] ) ? $instance[ 'hideLegendText' ] : '';
		$limit = isset( $instance[ 'limit' ] ) ? $instance[ 'limit' ] : '';
		$rowLink = isset( $instance[ 'rowLink' ] ) ? $instance[ 'rowLink' ] : '';
		$textNoData = isset( $instance[ 'textNoData' ] ) ? $instance[ 'textNoData' ] : '';
		$columns = isset( $instance[ 'columns' ] ) ? $instance[ 'columns' ] : '';
		$columnSet = isset( $instance[ 'columnSet' ] ) ? $instance[ 'columnSet' ] : '';
		$additionalColumns = isset( $instance[ 'additionalColumns' ] ) ? $instance[ 'additionalColumns' ] : '';
		$minDate = isset( $instance[ 'minDate' ] ) ? $instance[ 'minDate' ] : '';
		$maxDate = isset( $instance[ 'maxDate' ] ) ? $instance[ 'maxDate' ] : '';
		$teamId = isset( $instance[ 'teamId' ] ) ? $instance[ 'teamId' ] : '';

		?>

		<?php los_woh_generic_text( array( 'label' => __( 'Title', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'title' ), 'value' => $title ) ); ?>

		<?php los_woh_sport( $this->get_field_name( 'sport' ), $sport ); ?>

		<?php los_woh_division_id( array( 'field_name' => $this->get_field_name( 'divisionId' ), 'value' => $divisionId ) ); ?>

		<p><a href="#" id="hockeydata_los_widget_schedule_<?php echo $this->id; ?>_additionalOptionsToggle"><?php _e( 'Additional Options', 'hockeydata_los' ); ?></a></p>

		<div id="hockeydata_los_widget_schedule_<?php echo $this->id; ?>_additionalOptions" style="display: none;">

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Auto Reload', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoReload' ), 'checked' => $autoReload ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show future Games only', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'futureOnly' ), 'checked' => $futureOnly ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Legend', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showLegend' ), 'field_id' => $this->get_field_id( 'showLegend' ), 'checked' => $showLegend ) ); ?>

			<div id="hockeydata_los_widget_schedule_<?php echo $this->id; ?>_legendOptions"<?php if ( ! $showLegend ) { ?> style="display: none;" <?php } ?>>

				<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Legend automatically', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoShowLegend' ), 'checked' => $autoShowLegend ) ); ?>

				<?php los_woh_generic_text( array( 'label' => __( 'Text for "Show Legend"', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showLegendText' ), 'value' => $showLegendText ) ); ?>

				<?php los_woh_generic_text( array( 'label' => __( 'Text for "Hide Legend"', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'hideLegendText' ), 'value' => $hideLegendText ) ); ?>

			</div>

			<?php los_woh_generic_text( array( 'label' => __( 'Minimum Date (YYYY-MM-DD)', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'minDate' ), 'value' => $minDate ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Maximum Date (YYYY-MM-DD)', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'maxDate' ), 'value' => $maxDate ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Maximum Number of Games to be displayed (leave empty to display all)', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'limit' ), 'value' => $limit ) ); ?>

			<?php los_woh_page_select( array( 'label' => __( 'Row Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'rowLink' ), 'value' => $rowLink, 'hidden' => get_option( 'los_page_game_report' ) ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Text to be displayed if no data is available', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'textNoData' ), 'value' => $textNoData ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Columns', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'columns' ), 'value' => $columns ) ); ?>

			<?php
			los_woh_generic_select(
				array(
					'label' => __( 'Column Set', 'hockeydata_los' ),
					'field_name' => $this->get_field_name( 'columnSet' ),
					'value' => $columnSet,
					'options' => array(
						'default' => __( 'Default', 'hockeydata_los' ),
						'short' => __( 'Short', 'hockeydata_los' )
					)
				)
			);
			?>

			<?php los_woh_generic_text( array( 'label' => __( 'Additional Columns', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'additionalColumns' ), 'value' => $additionalColumns ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Team Id', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'teamId' ), 'value' => $teamId ) ); ?>

			<?php los_woh_doc_link( 'https://apidocs.hockeydata.net/javascript-api/hockeydata-los-schedule/' ); ?>

		</div>

		<script>

			losWidgetFormSchedule( '<?php echo $this->id; ?>', '<?php echo $this->get_field_id( 'showLegend' ); ?>' );

		</script>

		<?php
	}

	public function update( $new_instance, $old_instance ) {

		$instance = array();

		$instance[ 'title' ] = ( isset( $new_instance[ 'title' ] ) ) ? strip_tags( $new_instance[ 'title' ] ) : '';
		$instance[ 'sport' ] = ( isset( $new_instance[ 'sport' ] ) ) ? strip_tags( $new_instance[ 'sport' ] ) : '';
		$instance[ 'divisionId' ] = ( isset( $new_instance[ 'divisionId' ] ) ) ? strip_tags( $new_instance[ 'divisionId' ] ) : '';
		$instance[ 'autoReload' ] = ( isset( $new_instance[ 'autoReload' ] ) ) ? intval( $new_instance[ 'autoReload' ] ) : 0;
		$instance[ 'futureOnly' ] = ( isset( $new_instance[ 'futureOnly' ] ) ) ? intval( $new_instance[ 'futureOnly' ] ) : 0;
		$instance[ 'showLegend' ] = ( isset( $new_instance[ 'showLegend' ] ) ) ? intval( $new_instance[ 'showLegend' ] ) : 0;
		$instance[ 'autoShowLegend' ] = ( isset( $new_instance[ 'autoShowLegend' ] ) ) ? intval( $new_instance[ 'autoShowLegend' ] ) : 0;
		$instance[ 'showLegendText' ] = ( isset( $new_instance[ 'showLegendText' ] ) ) ? strip_tags( $new_instance[ 'showLegendText' ] ) : '';
		$instance[ 'hideLegendText' ] = ( isset( $new_instance[ 'hideLegendText' ] ) ) ? strip_tags( $new_instance[ 'hideLegendText' ] ) : '';
		$instance[ 'limit' ] = ( isset( $new_instance[ 'limit' ] ) ) ? intval( $new_instance[ 'limit' ] ) : '';
		$instance[ 'rowLink' ] = ( isset( $new_instance[ 'rowLink' ] ) ) ? strip_tags( $new_instance[ 'rowLink' ] ) : '';
		$instance[ 'textNoData' ] = ( isset( $new_instance[ 'textNoData' ] ) ) ? strip_tags( $new_instance[ 'textNoData' ] ) : '';
		$instance[ 'columns' ] = ( isset( $new_instance[ 'columns' ] ) ) ? strip_tags( $new_instance[ 'columns' ] ) : '';
		$instance[ 'columnSet' ] = ( isset( $new_instance[ 'columnSet' ] ) ) ? strip_tags( $new_instance[ 'columnSet' ] ) : '';
		$instance[ 'additionalColumns' ] = ( isset( $new_instance[ 'additionalColumns' ] ) ) ? strip_tags( $new_instance[ 'additionalColumns' ] ) : '';
		$instance[ 'minDate' ] = ( isset( $new_instance[ 'minDate' ] ) ) ? strip_tags( $new_instance[ 'minDate' ] ) : '';
		$instance[ 'maxDate' ] = ( isset( $new_instance[ 'maxDate' ] ) ) ? strip_tags( $new_instance[ 'maxDate' ] ) : '';
		$instance[ 'teamId' ] = ( isset( $new_instance[ 'teamId' ] ) && $new_instance[ 'teamId' ] ) ? intval( $new_instance[ 'teamId' ] ) : '';

		return $instance;

	}
}