<?php

class LOS_Widget_Standings extends WP_Widget {

	function __construct() {

		parent::__construct( 'los_widget_standings', __('hockeydata LOS: Standings', 'hockeydata_los'), array( 'description' => __( 'hockeydata LOS: Standings', 'hockeydata_los' ) ) );

	}

	public function widget( $args, $instance ) {

		echo los_widget_standings( $instance );

	}

	public function form( $instance ) {

		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : '';
		$sport = isset( $instance[ 'sport' ] ) ? $instance[ 'sport' ] : '';
		$divisionId = isset( $instance[ 'divisionId' ] ) ? $instance[ 'divisionId' ] : '';
		$autoReload = isset( $instance[ 'autoReload' ] ) ? intval( $instance[ 'autoReload' ] ) : 0;
		$showLegend = isset( $instance[ 'showLegend' ] ) ? intval( $instance[ 'showLegend' ] ) : 0;
		$autoShowLegend = isset( $instance[ 'autoShowLegend' ] ) ? intval( $instance[ 'autoShowLegend' ] ) : 0;
		$showLegendText = isset( $instance[ 'showLegendText' ] ) ? $instance[ 'showLegendText' ] : '';
		$hideLegendText = isset( $instance[ 'hideLegendText' ] ) ? $instance[ 'hideLegendText' ] : '';
		$rowLink = isset( $instance[ 'rowLink' ] ) ? $instance[ 'rowLink' ] : '';
		$textNoData = isset( $instance[ 'textNoData' ] ) ? $instance[ 'textNoData' ] : '';
		$columns = isset( $instance[ 'columns' ] ) ? $instance[ 'columns' ] : '';
		$columnSet = isset( $instance[ 'columnSet' ] ) ? $instance[ 'columnSet' ] : '';
		$additionalColumns = isset( $instance[ 'additionalColumns' ] ) ? $instance[ 'additionalColumns' ] : '';
		$showOfficialStatusText = isset( $instance[ 'showOfficialStatusText' ] ) ? intval( $instance[ 'showOfficialStatusText' ] ) : 0;
		$textOfficial = isset( $instance[ 'textOfficial' ] ) ? $instance[ 'textOfficial' ] : '';
		$textUnofficial = isset( $instance[ 'textUnofficial' ] ) ? $instance[ 'textUnofficial' ] : '';

		?>

		<?php los_woh_generic_text( array( 'label' => __( 'Title', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'title' ), 'value' => $title ) ); ?>

		<?php los_woh_sport( $this->get_field_name( 'sport' ), $sport ); ?>

		<?php los_woh_division_id( array( 'field_name' => $this->get_field_name( 'divisionId' ), 'value' => $divisionId ) ); ?>

		<p><a href="#" id="hockeydata_los_widget_standings_<?php echo $this->id; ?>_additionalOptionsToggle"><?php _e( 'Additional Options', 'hockeydata_los' ); ?></a></p>

		<div id="hockeydata_los_widget_standings_<?php echo $this->id; ?>_additionalOptions" style="display: none;">

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Auto Reload', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoReload' ), 'checked' => $autoReload ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Legend', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showLegend' ), 'field_id' => $this->get_field_id( 'showLegend' ), 'checked' => $showLegend ) ); ?>

			<div id="hockeydata_los_widget_standings_<?php echo $this->id; ?>_legendOptions"<?php if ( ! $showLegend ) { ?> style="display: none;" <?php } ?>>

				<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Legend automatically', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoShowLegend' ), 'checked' => $autoShowLegend ) ); ?>

				<?php los_woh_generic_text( array( 'label' => __( 'Text for "Show Legend"', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showLegendText' ), 'value' => $showLegendText ) ); ?>

				<?php los_woh_generic_text( array( 'label' => __( 'Text for "Hide Legend"', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'hideLegendText' ), 'value' => $hideLegendText ) ); ?>

			</div>

			<?php los_woh_page_select( array( 'label' => __( 'Row Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'rowLink' ), 'value' => $rowLink, 'hidden' => get_option( 'los_page_team_details' ) ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Text to be displayed if no data is available', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'textNoData' ), 'value' => $textNoData ) ); ?>

			<?php los_woh_generic_text( array( 'label' => __( 'Columns', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'columns' ), 'value' => $columns ) ); ?>

			<?php
			los_woh_generic_select(
				array(
					'label' => __( 'Column Set', 'hockeydata_los' ),
					'field_name' => $this->get_field_name( 'columnSet' ),
					'value' => $columnSet,
					'options' => array(
						'default' => __( 'Default', 'hockeydata_los' ),
						'long' => __( 'Long', 'hockeydata_los' ),
						'tie' => __( 'Tie', 'hockeydata_los' )
					)
				)
			);
			?>

			<?php los_woh_generic_text( array( 'label' => __( 'Additional Columns', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'additionalColumns' ), 'value' => $additionalColumns ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Official Status Text', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showOfficialStatusText' ), 'field_id' => $this->get_field_id( 'showOfficialStatusText' ), 'checked' => $showOfficialStatusText ) ); ?>

			<div id="hockeydata_los_widget_standings_<?php echo $this->id; ?>_officialStatusTextOptions"<?php if ( ! $showOfficialStatusText ) { ?> style="display: none;" <?php } ?>>

				<?php los_woh_generic_text( array( 'label' => __( 'Text for "Official"', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'textOfficial' ), 'value' => $textOfficial ) ); ?>

				<?php los_woh_generic_text( array( 'label' => __( 'Text for "Unofficial"', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'textUnofficial' ), 'value' => $textUnofficial ) ); ?>

			</div>

			<?php los_woh_doc_link( 'https://apidocs.hockeydata.net/javascript-api/hockeydata-los-standings/' ); ?>

		</div>

		<script>

			losWidgetFormStandings( '<?php echo $this->id; ?>', '<?php echo $this->get_field_id( 'showLegend' ); ?>', '<?php echo $this->get_field_id( 'showOfficialStatusText' ); ?>' );

		</script>

		<?php
	}

	public function update( $new_instance, $old_instance ) {

		$instance = array();

		$instance[ 'title' ] = ( isset( $new_instance[ 'title' ] ) ) ? strip_tags( $new_instance[ 'title' ] ) : '';
		$instance[ 'sport' ] = ( isset( $new_instance[ 'sport' ] ) ) ? strip_tags( $new_instance[ 'sport' ] ) : '';
		$instance[ 'divisionId' ] = ( isset( $new_instance[ 'divisionId' ] ) ) ? strip_tags( $new_instance[ 'divisionId' ] ) : '';
		$instance[ 'autoReload' ] = ( isset( $new_instance[ 'autoReload' ] ) ) ? intval( $new_instance[ 'autoReload' ] ) : 0;
		$instance[ 'showLegend' ] = ( isset( $new_instance[ 'showLegend' ] ) ) ? intval( $new_instance[ 'showLegend' ] ) : 0;
		$instance[ 'autoShowLegend' ] = ( isset( $new_instance[ 'autoShowLegend' ] ) ) ? intval( $new_instance[ 'autoShowLegend' ] ) : 0;
		$instance[ 'showLegendText' ] = ( isset( $new_instance[ 'showLegendText' ] ) ) ? strip_tags( $new_instance[ 'showLegendText' ] ) : '';
		$instance[ 'hideLegendText' ] = ( isset( $new_instance[ 'hideLegendText' ] ) ) ? strip_tags( $new_instance[ 'hideLegendText' ] ) : '';
		$instance[ 'rowLink' ] = ( isset( $new_instance[ 'rowLink' ] ) ) ? strip_tags( $new_instance[ 'rowLink' ] ) : '';
		$instance[ 'textNoData' ] = ( isset( $new_instance[ 'textNoData' ] ) ) ? strip_tags( $new_instance[ 'textNoData' ] ) : '';
		$instance[ 'columns' ] = ( isset( $new_instance[ 'columns' ] ) ) ? strip_tags( $new_instance[ 'columns' ] ) : '';
		$instance[ 'columnSet' ] = ( isset( $new_instance[ 'columnSet' ] ) ) ? strip_tags( $new_instance[ 'columnSet' ] ) : '';
		$instance[ 'additionalColumns' ] = ( isset( $new_instance[ 'additionalColumns' ] ) ) ? strip_tags( $new_instance[ 'additionalColumns' ] ) : '';
		$instance[ 'showOfficialStatusText' ] = ( isset( $new_instance[ 'showOfficialStatusText' ] ) ) ? intval( $new_instance[ 'showOfficialStatusText' ] ) : 0;
		$instance[ 'textOfficial' ] = ( isset( $new_instance[ 'textOfficial' ] ) ) ? strip_tags( $new_instance[ 'textOfficial' ] ) : '';
		$instance[ 'textUnofficial' ] = ( isset( $new_instance[ 'textUnofficial' ] ) ) ? strip_tags( $new_instance[ 'textUnofficial' ] ) : '';

		return $instance;

	}
}