<?php

class LOS_Widget_TeamFullPage extends WP_Widget {

	function __construct() {

		parent::__construct( 'los_widget_team_full_page', __('hockeydata LOS: Team Page', 'hockeydata_los'), array( 'description' => __( 'hockeydata LOS: Team Page', 'hockeydata_los' ) ) );

	}

	public function widget( $args, $instance ) {

	    echo los_widget_team_full_page( $instance );

	}

	public function form( $instance ) {

		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : '';
		$sport = isset( $instance[ 'sport' ] ) ? $instance[ 'sport' ] : '';
		$divisionId = isset( $instance[ 'divisionId' ] ) ? $instance[ 'divisionId' ] : '';
		$autoReload = isset( $instance[ 'autoReload' ] ) ? intval( $instance[ 'autoReload' ] ) : 0;
		$showTeamFacts = isset( $instance[ 'showTeamFacts' ] ) ? intval( $instance[ 'showTeamFacts' ] ) : 0;
        $gameLink = isset( $instance[ 'gameLink' ] ) ? $instance[ 'gameLink' ] : '';
        $playerLink = isset( $instance[ 'playerLink' ] ) ? $instance[ 'playerLink' ] : '';
        $additionalColumnsGames = isset( $instance[ 'additionalColumnsGames' ] ) ? $instance[ 'additionalColumnsGames' ] : '';

		?>

		<?php los_woh_generic_text( array( 'label' => __( 'Title', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'title' ), 'value' => $title ) ); ?>

		<?php los_woh_sport( $this->get_field_name( 'sport' ), $sport ); ?>

		<?php los_woh_division_id( array( 'field_name' => $this->get_field_name( 'divisionId' ), 'value' => $divisionId ) ); ?>

		<p><a href="#" id="hockeydata_los_widget_team_full_page_<?php echo $this->id; ?>_additionalOptionsToggle"><?php _e( 'Additional Options', 'hockeydata_los' ); ?></a></p>

		<div id="hockeydata_los_widget_team_full_page_<?php echo $this->id; ?>_additionalOptions" style="display: none;">

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Auto Reload', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'autoReload' ), 'checked' => $autoReload ) ); ?>

			<?php los_woh_generic_checkbox( array( 'label' => __( 'Show Team Facts', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'showTeamFacts' ), 'checked' => $showTeamFacts ) ); ?>

			<?php los_woh_page_select( array( 'label' => __( 'Game Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'gameLink' ), 'value' => $gameLink, 'hidden' => get_option( 'los_page_game_report' ) ) ); ?>

            <?php los_woh_page_select( array( 'label' => __( 'Player Link', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'playerLink' ), 'value' => $playerLink, 'hidden' => get_option( 'los_page_player_details' ) ) ); ?>

            <?php los_woh_generic_text( array( 'label' => __( 'Additional Columns Games', 'hockeydata_los' ), 'field_name' => $this->get_field_name( 'additionalColumnsGames' ), 'value' => $additionalColumnsGames ) ); ?>

            <?php los_woh_doc_link( 'https://apidocs.hockeydata.net/javascript-api/hockeydata-los-team-fullpage/' ); ?>

		</div>

		<script>

			losWidgetFormTeamFullPage( '<?php echo $this->id; ?>' );

		</script>

		<?php
	}

	public function update( $new_instance, $old_instance ) {

		$instance = array();

		$instance[ 'title' ] = ( isset( $new_instance[ 'title' ] ) ) ? strip_tags( $new_instance[ 'title' ] ) : '';
		$instance[ 'sport' ] = ( isset( $new_instance[ 'sport' ] ) ) ? strip_tags( $new_instance[ 'sport' ] ) : '';
		$instance[ 'divisionId' ] = ( isset( $new_instance[ 'divisionId' ] ) ) ? strip_tags( $new_instance[ 'divisionId' ] ) : '';
		$instance[ 'autoReload' ] = ( isset( $new_instance[ 'autoReload' ] ) ) ? intval( $new_instance[ 'autoReload' ] ) : 0;
		$instance[ 'showTeamFacts' ] = ( isset( $new_instance[ 'showTeamFacts' ] ) ) ? intval( $new_instance[ 'showTeamFacts' ] ) : 0;
        $instance[ 'gameLink' ] = ( isset( $new_instance[ 'gameLink' ] ) ) ? strip_tags( $new_instance[ 'gameLink' ] ) : '';
        $instance[ 'playerLink' ] = ( isset( $new_instance[ 'playerLink' ] ) ) ? strip_tags( $new_instance[ 'playerLink' ] ) : '';
        $instance[ 'additionalColumnsGames' ] = ( isset( $new_instance[ 'additionalColumnsGames' ] ) ) ? strip_tags( $new_instance[ 'additionalColumnsGames' ] ) : '';

		return $instance;

	}
}